Bug 994154 - VM rebooted in resume action
VM rebooted in resume action
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
high Severity urgent
: ---
: 3.3.0
Assigned To: Shahar Havivi
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2013-08-06 11:18 EDT by vvyazmin@redhat.com
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-11 07:05:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm (2.88 MB, application/x-gzip)
2013-08-06 11:18 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-08-06 11:18:19 EDT
Created attachment 783377 [details]
## Logs rhevm, vdsm, libvirt, thread dump, superVdsm

Description of problem:
VM rebooted in resume action

Version-Release number of selected component (if applicable):
RHEVM 3.3 - IS8 environment:

RHEVM:  rhevm-3.3.0-0.13.master.el6ev.noarch
VDSM:  vdsm-4.12.0-rc3.13.git06ed3cc.el6ev.x86_64
LIBVIRT:  libvirt-0.10.2-18.el6_4.9.x86_64
QEMU & KVM:  qemu-kvm-rhev-
SANLOCK:  sanlock-2.6-2.el6.x86_64
PythonSDK:  rhevm-sdk-python-

How reproducible:

Steps to Reproduce:
Create VM with one or multiple disk
Install OS 
Wait till your OS finish boot. 
Click “Suspend” 
Wait till VM get status “Suspended”.
Click “Run” (resume) 
Open console 

Actual results:
VM is rebooted

Expected results:
Successfully resumed 

Impact on user:
Application that were running on OS closed 


Additional info:



Thread-42930::DEBUG::2013-08-06 15:47:52,413::vm::2034::vm.Vm::(_startUnderlyingVm) vmId=`c0c45eb3-310e-45a0-af6c-72423bbed8a0`::_ongoingCreations released
Thread-42930::ERROR::2013-08-06 15:47:52,413::vm::2060::vm.Vm::(_startUnderlyingVm) vmId=`c0c45eb3-310e-45a0-af6c-72423bbed8a0`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 2020, in _startUnderlyingVm
  File "/usr/share/vdsm/vm.py", line 2866, in _run
    domxml = hooks.before_vm_start(self._buildCmdLine(), self.conf)
  File "/usr/share/vdsm/vm.py", line 2679, in _buildCmdLine
  File "/usr/share/vdsm/vm.py", line 2646, in _appendDevices
    deviceXML = dev.getXML().toxml(encoding='utf-8')
  File "/usr/share/vdsm/vm.py", line 1208, in getXML
    vram=self.specParams['vram'], heads='1')
AttributeError: 'VideoDevice' object has no attribute 'specParams'
Thread-42930::DEBUG::2013-08-06 15:47:52,425::vm::2444::vm.Vm::(setDownStatus) vmId=`c0c45eb3-310e-45a0-af6c-72423bbed8a0`::Changed state to Down: 'VideoDevice' object has no attribute 'specParams'
Comment 2 Michal Skrivanek 2013-08-07 02:43:26 EDT
possible dupe of bug 984586, Martin, please close if confirmed...
Comment 3 Michal Skrivanek 2013-08-07 02:51:15 EDT
actually looks more related to multidisplay on single QXL, Shahar?

btw wrong logs are attached
Comment 4 Shahar Havivi 2013-08-07 03:26:59 EDT
(In reply to Michal Skrivanek from comment #3)
> actually looks more related to multidisplay on single QXL, Shahar?
Yes it does...

> btw wrong logs are attached
Comment 5 Shahar Havivi 2013-08-07 03:37:25 EDT
Actually it's may not be related to QXL fix...

this is code before the fix:
vram=self.specParams['vram'], heads='1')

and after the QXL fix:
heads=self.specParams.get('heads', '1'))
Comment 6 Martin Perina 2013-08-07 04:38:27 EDT
I cannot reproduce it on latest ovirt-engine-3.3 branch, it works there. And it also works even without 984586 patch applied.
Comment 7 Shahar Havivi 2013-08-07 05:06:42 EDT
Cannot reproduce as well...
Its look like the problem you encounter is related to your vdsm server, it didn't save the VMs data (in this case the specParams).
Can you please try to restart the vdsm service and see if you can reproduce the bug?
Comment 8 Martin Perina 2013-08-07 05:20:47 EDT
I'm unable to reproduce even on latest oVirt from master branch and vdsm nighly build.
Comment 9 vvyazmin@redhat.com 2013-08-08 09:46:41 EDT
I can reproduce it again, you are welcome to see it reproduced.
Comment 11 Shahar Havivi 2013-08-11 07:05:39 EDT
Works in version: 9.1

Note You need to log in before you can comment on or make changes to this bug.